org.apache.commons.math.distribution

## Interface ContinuousDistribution

- All Superinterfaces:
    Distribution
  All Known Subinterfaces:
    BetaDistribution, CauchyDistribution, ChiSquaredDistribution, ExponentialDistribution, FDistribution, GammaDistribution, NormalDistribution, TDistribution, WeibullDistribution
  All Known Implementing Classes:
    AbstractContinuousDistribution, BetaDistributionImpl, CauchyDistributionImpl, ChiSquaredDistributionImpl, ExponentialDistributionImpl, FDistributionImpl, GammaDistributionImpl, NormalDistributionImpl, TDistributionImpl, WeibullDistributionImpl

      public interface ContinuousDistribution
      extends Distribution

  Base interface for continuous distributions.

  Note: this interface will be extended in version 3.0 to include
  `public double density(double x)`
  that is, from version 3.0 forward, continuous distributions must include implementations of probability density functions. As of version 2.1, all continuous distribution implementations included in commons-math provide implementations of this method.

  Version:
    $Revision: 924362 $ $Date: 2010-03-17 17:45:31 +0100 (mer. 17 mars 2010) $

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `double` | `inverseCumulativeProbability(double p)` For this distribution, X, this method returns x such that P(X < x) = p.

    - ### Methods inherited from interface org.apache.commons.math.distribution.Distribution

      `cumulativeProbability, cumulativeProbability`

- - ### Method Detail

    - #### inverseCumulativeProbability

          double inverseCumulativeProbability(double p)
                                              throws MathException

      For this distribution, X, this method returns x such that P(X < x) = p.
      Parameters:
        `p` - the cumulative probability.
      Returns:
        x.
      Throws:
        `MathException` - if the inverse cumulative probability can not be computed due to convergence or other numerical errors.

Copyright (c) 2003-2013 Apache Software Foundation